BizKitHub
DocsAPI ReferenceLog/bff/log/write-frontend-log
postLogAdmin BFF

/bff/log/write-frontend-log

Writes a log entry from the frontend application. Supports debouncing to prevent log spam.

LogpostBffLogWrite-frontend-log

Parameters

JSON body

Request body

application/json
messagestringRequired

Log message text.

levelstringOptional

Log severity level.

Examplesinfoerrorwarning
useDebounceboolean | objectOptional
One of 2:
Variant 1
boolean
Variant 2
enabledbooleanOptional
maxIntervalstringRequired

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/log/write-frontend-log

post
curl -X POST "https://api.bizkithub.com/bff/log/write-frontend-log" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "message": "example_message",
  "level": "info"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key